local STRINGS = GLOBAL.STRINGS
GetClock = GLOBAL.GetClock
GetPlayer = GLOBAL.GetPlayer

PrefabFiles = {
	"warmond", 
	"bonebat",
	"nightmarebonebat",
	"bonerang",
	"bonecane",
	"icebonerang",
	"nightmarebonerang",
	"nightmarebonehelm",
	"nightmareribs",
	"boneshard",
	"exploderingfx",
	"diviningbone",
}

Assets = {
    Asset( "ATLAS", "images/saveslot_portraits/warmond.xml" ),
	Asset( "IMAGE", "images/saveslot_portraits/warmond.tex" ),
	
    Asset( "ATLAS", "images/selectscreen_portraits/warmond.xml" ),
	Asset( "IMAGE", "images/selectscreen_portraits/warmond.tex" ),
	
    Asset( "ATLAS", "images/selectscreen_portraits/warmond_silho.xml" ),
	Asset( "IMAGE", "images/selectscreen_portraits/warmond_silho.tex" ),
	
    Asset( "ATLAS", "bigportraits/warmond.xml" ),
	Asset( "IMAGE", "bigportraits/warmond.tex" ),	
	
	Asset( "ATLAS", "images/inventoryimages/bonerang.xml" ),
	Asset( "IMAGE", "images/inventoryimages/bonerang.tex" ),
	
	Asset("ANIM", "anim/bonecane.zip"),
	Asset("ANIM", "anim/swap_bonecane.zip"),
	
	Asset( "ATLAS", "images/inventoryimages/bonecane.xml" ),
	Asset( "IMAGE", "images/inventoryimages/bonecane.tex" ),
}

function uniqueitem1(inst)
	inst:AddTag("uniqueitem1")
end

function uniqueitem2(inst)
	inst:AddTag("uniqueitem2")
end

-- Items names
GLOBAL.STRINGS.NAMES.BONEBAT = "Skelebat"
GLOBAL.STRINGS.NAMES.NIGHTMAREBONEBAT = "Nightmare Skelebat"
GLOBAL.STRINGS.NAMES.BONERANG = "Skelerang"
GLOBAL.STRINGS.NAMES.BONECANE = "Skelecane"
GLOBAL.STRINGS.NAMES.ICEBONERANG = "Frost Skelerang"
GLOBAL.STRINGS.NAMES.NIGHTMAREBONERANG = "Nightmare Skelerang"
GLOBAL.STRINGS.NAMES.NIGHTMAREBONEHELM = "Nightmare Skelehelm"
GLOBAL.STRINGS.NAMES.NIGHTMARERIBS = "Nightmare Ribs"
GLOBAL.STRINGS.NAMES.DIVININGBONE = "Divining Bone"
AddModCharacter("warmond")